petsc-3.12.1 2019-10-22
Report Typos and Errors

# PetscHTTPSConnect

connect to a HTTPS server

### Synopsis

    PetscErrorCode PetscHTTPSConnect(const char host[],int port,SSL_CTX *ctx,int *sock,SSL **ssl)

### Input Parameters

| host | - the name of the machine hosting the HTTPS server
| port | - the port number where the server is hosting, usually 443
| ctx | - value obtained with PetscSSLInitializeContext()

### Output Parameters

| sock | - socket to connect
| ssl | - the argument passed to PetscHTTPSRequest()

### See Also

PetscOpenSocket(), PetscHTTPSRequest(), PetscSSLInitializeContext()

### Level

advanced

### Location

src/sys/webclient/client.c
Index of all Sys routines
Table of Contents for all manual pages
Index of all manual pages